"""This module contains a dictionary of directories flagged for distribution.
The format is

{source_dir: destination_dir}

where source_dir is an existing directory in the repository.
The value of destination_dir will determine the directory name in the
distribution tarball.
If destination_dir is None, the name source_dir will be used also for
the destination_dir.

Example:

dirmap = {join('anuga_core', 'source', 'anuga'): 'anuga'}

"""

from os.path import join

dirmap = {}
dirmap[join('anuga_core', 'source', 'anuga')] = 'anuga'
dirmap[join('anuga_validation', 'okushiri_2005')] = None
dirmap[join('anuga_validation', 'automated_validation_tests')] = None
#dirmap[join('anuga_core', 'documentation', 'user_manual', 'demos')] = None
#dirmap[join('anuga_core', 'documentation', 'user_manual')] = None


# Expand None
for key in dirmap:
    if dirmap[key] is None:
        dirmap[key] = key

        
